/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.WebService;
import javax.xml.ws.BindingType;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface "Service1" indicated via a JAXWS @WebService annotation
 * 0 references
 * 
 * Class has a @BindingType annotation
 */
@WebService(name="Service1")
@BindingType(value=javax.xml.ws.soap.SOAPBinding.SOAP12HTTP_BINDING)
// Note that this implementation does not claim to implement the "Service1" interface, but the actual
// method offered does match the "Service1" interface
public class Service1JWSBindingTypeImpl {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
