/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * - method Result is annotated with @WebResult with @header = "true"
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@WebService(name="Service1")
public class Service1JWSWebResultImpl implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	// Method is marked with @WebResult with @header = true
	@WebResult(header=true)
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
