/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */


/**
 * An interface with the same name as Service1Superset but in a different package
 * and with an incompatible set of operations
 */
import org.oasisopen.sca.annotation.Remotable;

@Remotable
public interface Service1Superset {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
	/**
	 * A second method for invoking a testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operationb( String input );

}
